<?php

$jscode[] = <<<EOC

Rico.moduleDependencies['checkboxDB'] = ['+LiveGrid', '../ricoTableColumnDB.js'];
Rico.loadModule('checkboxDB');

function select_year_calback(data)
{
  grid_update(grid);
}

function select_year_status(obj, value, html)
{
  if (value.length)
    info('Jahr ' + value + ' ausgewählt');
  else
    info('');
}
EOC;

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['gereinigt.year'])) $_SESSION['gereinigt.year'] = date('Y');

$mask = array(
	      'table' => 'kostenstellen',
	      'title' => 'Gewässer gereinigt?',
	      'join' => array('gebiet ON kostenstellen.gebiet = gebiet.id'),
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(true),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['gereinigt.year'],
				'onchange' => 'select_year(this)',
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'kostenstellen.id',
					    'visible' => false,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'gebiet.gebiet',
					    'specs' => "filterUI: 's'",
					    'width' => 250,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'specs' => "filterUI: 's'",
					    'width' => 250,
					    ),
			      'gereinigt' => array(
					    'name' => 'gereinigt',
					    'width' => 65,
					    'sql' => '(SELECT count(*) FROM gereinigt WHERE jahr = '
						. intval($_SESSION['gereinigt.year'])
						. ' AND gereinigt.kostenstelle = kostenstellen.id)',
					    'control' => "new Rico.TableColumn.checkboxDB(0, 'ajax/ricoUpdateConnection.php')",
					    'specs' => "filterUI: 'c', ClassName: 'aligncenter', canSort: false",
					    'update' => array('table' => 'gereinigt',
							      'basecol' => 'jahr',
							      'baseval' => $_SESSION['gereinigt.year'],
							      'refcol' => 'kostenstelle',
							      'reftable' => 'kostenstellen',
							      'refid' => 'kostenstellen.id',
							      ),
					    ),
			      ),
	      'rows' => 20,
	      );

?>
